@import "tailwindcss";

:root {
    --background: #f3f4f6;
    /* Light gray background */
    --foreground: #171717;
    --primary-blue: #003366;
    /* Main Header Color */
    --accent-orange: #FF9933;
    /* Ticker text/bg */
    --accent-yellow: #FFCC00;
    --text-dark: #333333;
}

@theme inline {
    --color-background: var(--background);
    --color-foreground: var(--foreground);
    --color-primary-blue: var(--primary-blue);
    --color-accent-orange: var(--accent-orange);
    --color-accent-yellow: var(--accent-yellow);
}

body {
    background: var(--background);
    color: var(--foreground);
    font-family: 'Poppins', 'Arial', 'Mangal', 'Nirmala UI', sans-serif;
}

/* Ticker Animation */
@keyframes ticker {
    0% {
        transform: translateX(100%);
    }

    100% {
        transform: translateX(-100%);
    }
}

.animate-ticker {
    animation: ticker 20s linear infinite;
    white-space: nowrap;
}

/* Hide scrollbar for Chrome, Safari and Opera */
.no-scrollbar::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
.no-scrollbar {
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}